package com.jeequan.jeepay.core.model.rqrs.payorder.payway;

import com.jeequan.jeepay.core.constants.CS;
import com.jeequan.jeepay.core.model.rqrs.payorder.UnifiedOrderRS;
import lombok.Data;

/*
 * 支付方式： WX_APP
 *
 * @author zhuxiao
 *
 * @date 2021/6/8 17:34
 */
@Data
public class WxAppOrderRS extends UnifiedOrderRS {

    /** 预支付数据包 **/
    private String payData;

    @Override
    public String buildPayDataType(){
        return CS.PAY_DATA_TYPE.WX_APP;
    }

    @Override
    public String buildPayData(){
        return payData;
    }

}
